Home

# Class goog.graphics.CanvasTextElement

Thin wrapper for canvas text elements. This is an implementation of the goog.graphics.TextElement interface. You should not construct objects from this constructor. The graphics will return the object for you.

extends goog.graphics.TextElement

Instance Method Summary
| `draw(?CanvasRenderingContext2D ctx)` Draw the text. Should be treated as package scope.
| `setFill(?goog.graphics.Fill fill)` Sets the fill for this element.
| `setStroke(?goog.graphics.Stroke stroke)` Sets the stroke for this element.
| `setText(string text)` Update the displayed text of the element.
| `updateStyle_()` Update the styles of the DIVs.
| `updateText_()` Update the text content.